/*
GoSkola24API
Copyright (C) 2024, Zervó Zadachin

DO NOT ALTER OR REMOVE COPYRIGHT NOTICES OR THIS FILE HEADER.

This program is free software: you can redistribute it and/or modify
it under the terms of the GNU Affero General Public License version 3
as published by the Free Software Foundation.

This program is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
GNU Affero General Public License version 3 for more details.

This program incorporates external libraries for certain functionalities.
These libraries are covered by their respective licenses, and their usage
agreements are as outlined in their respective documentation or source
code.

You should have received a copy of the GNU Affero General Public License
along with this program.  If not, see <http://www.gnu.org/licenses/>.
*/

package types

type Class struct {
	Name                            string `json:"name"`
	ClassId                         string `json:"classId"`
	AbsenceMessageNotDeliveredCount int    `json:"absenceMessageNotDeliveredCount"`
	IsResponsible                   bool   `json:"isResponsible"`
	IsClass                         bool   `json:"isClass"`
	IsAdmin                         bool   `json:"isAdmin"`
	IsPrincipal                     bool   `json:"isPrincipal"`
	IsMentor                        bool   `json:"isMentor"`
	IsPreschoolGroup                bool   `json:"isPreschoolGroup"`
	Teachers                        any    `json:"teachers"` // TODO: MAKE TYPED
	SubstituteTeacherId             string `json:"substituteTeacherId"`
	TeacherChangeStudents           int    `json:"teacherChangeStudents"`
}
