/*
GoSkola24API
Copyright (C) 2024, Zervó Zadachin

DO NOT ALTER OR REMOVE COPYRIGHT NOTICES OR THIS FILE HEADER.

This program is free software: you can redistribute it and/or modify
it under the terms of the GNU Affero General Public License version 3
as published by the Free Software Foundation.

This program is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
GNU Affero General Public License version 3 for more details.

This program incorporates external libraries for certain functionalities.
These libraries are covered by their respective licenses, and their usage
agreements are as outlined in their respective documentation or source
code.

You should have received a copy of the GNU Affero General Public License
along with this program.  If not, see <http://www.gnu.org/licenses/>.
*/

package types

type RequestSchedule struct {
	RenderKey            string  `json:"renderKey"`
	Host                 string  `json:"host"`
	UnitGuid             string  `json:"unitGuid"`
	StartDate            *string `json:"startDate"`
	EndDate              *string `json:"endDate"`
	ScheduleDay          int     `json:"scheduleDay"`
	BlackAndWhite        bool    `json:"blackAndWhite"`
	Width                int     `json:"width"`
	Height               int     `json:"height"`
	SelectionType        int     `json:"selectionType"`
	Selection            string  `json:"selection"`
	ShowHeader           bool    `json:"showHeader"`
	PeriodText           any     `json:"periodText"`
	Week                 int     `json:"week"`
	Year                 int     `json:"year"`
	SchoolYear           string  `json:"schoolYear"`
	PersonalTimetable    bool    `json:"personalTimetable"`
	PrivateFreeTextMode  *string `json:"privateFreeTextMode"`
	PrivateSelectionMode bool    `json:"privateSelectionMode"`
	CustomerKey          string  `json:"customerKey"`
}
